apiVersion: apps/v1
kind: Deployment
metadata:
  name: nodeport-pod
spec:
  replicas: 3
  selector:
    matchLabels:
      name: nodeport-pod
  template:
    metadata:
      labels:
        name: nodeport-pod
    spec:
      containers:
      - name: nodeport-pod
        image: quay.io/openshifttest/hello-sdn@sha256:d5785550cf77b7932b090fcd1a2625472912fb3189d5973f177a5a2c347a1f95
        ports:
        - containerPort: 8080
        - containerPort: 443
        env:
        - name: RESPONSE
          value: Customer-Red Test Nodeport

